package jdk.internal.org.objectweb.asm.tree.analysis;

import jdk.internal.org.objectweb.asm.tree.AbstractInsnNode;

public class AnalyzerException extends Exception
{
    public final AbstractInsnNode node;
    
    public AnalyzerException(AbstractInsnNode node, String message) {
        super(message);
        this.node = node;
    }
    
    public AnalyzerException(AbstractInsnNode node, String message, Throwable cause) {
        super(message, cause);
        this.node = node;
    }
    
    public AnalyzerException(AbstractInsnNode node, String str, Object obj, Value obj2) {
        super(((str == null) ? "Expected " : (str + ": expected ")) + obj + ", but found " + obj2);
        this.node = node;
    }
}
